import Vue from 'vue';
import { RouterMount, createRouter } from 'uni-simple-router';
import Store, { types } from '@/common/store/index.ts';
import { $http } from '@/common/http/index.ts';
import $api from '@/common/api.ts';
import errorPage from '@/pages/error/404/404.vue';

var time = 0
const router = createRouter({
	encodeURI: false,
	platform: process.env.VUE_APP_PLATFORM,
	routerErrorEach: ({ type, level, ...args }) => {
		// #ifdef APP-PLUS
		if (type === 3) {
			router.$lockStatus = false;
			time++
			if (time == 2) {
				plus.runtime.quit();
			} else {
				uni.showToast({
					title: '再按一次退出应用',
					icon: 'none'
				})
			}
			setTimeout(() => {
				time = 0
			}, 1500)
		}
		// #endif
	},
	routes: [
		...ROUTES,
		{
			path: '*',
			component: errorPage
		}
	]
});
//路由守卫
router.beforeEach(async (to: any, from: any, next: any) => {
	console.log(to);
	if(to.name !== 'business'){
		uni.setStorageSync('sid', null);
	};
	let referrer = getSuperior(from, to);
	referrer && Store.commit(`base/${types.SET_REFERRERID}`, referrer);
	if (to.name === 'login' || to.name === 'register' || to.name === 'password') {
		next();
		return;
	}
	if (!to.meta.visitor) {
		if (!(Store.state as any).base.token) {
			console.log('login');
			next({
				path: '/pages/login/login',
				query: { redirectUrl: to.fullPath, data: to.query, navType: to.NAVTYPE },
				NAVTYPE: 'push'
			});
		} else {
			next();
		}
	} else {
		next();
	}
});

function getSuperior(from: any, to: any): any {
	if (from.query.s === '1' && from.query.uid) {
		return +from.query.uid;
	}
	if (to.query.scene) {
		let sceneArr = decodeURIComponent(to.query.scene).split('&');
		let scene: any = {};
		sceneArr.forEach((item: any) => {
			let arr = item.split('=');
			if (arr[0]) scene[arr[0]] = arr[1];
		})
		if (scene.s === '1' && scene.uid) {
			return +scene.uid;
		}
	}
	return null;
}
//登录 注册
function login() {

}
//路由守卫
router.afterEach((to, from) => { });

export { router, RouterMount };

// export default router;
